# Create VPC Network - Documentation

> For the complete documentation index, see [llms.txt](/llms.txt). Markdown is available with `Accept: text/markdown` and `.md` URL variants.

Source: /docs/api-reference/gpu-instance-create-vpc

# Create VPC Network

POST

/

gpu-instance

/

openapi

/

v1

/

network

/

create

Try it

Create VPC Network

cURL

```
curl --request POST \
--url https://api.novita.ai/gpu-instance/openapi/v1/network/create \
--header 'Authorization: &#x3C;authorization>' \
--header 'Content-Type: &#x3C;content-type>' \
--data '
{
"clusterId": "&#x3C;string>",
"name": "&#x3C;string>"
}
'
```

```
import requestsurl = "https://api.novita.ai/gpu-instance/openapi/v1/network/create"payload = { "clusterId": "&#x3C;string>", "name": "&#x3C;string>"}headers = { "Content-Type": "&#x3C;content-type>", "Authorization": "&#x3C;authorization>"}response = requests.post(url, json=payload, headers=headers)print(response.text)
```

```
const options = { method: 'POST', headers: {'Content-Type': '&#x3C;content-type>', Authorization: '&#x3C;authorization>'}, body: JSON.stringify({clusterId: '&#x3C;string>', name: '&#x3C;string>'})};fetch('https://api.novita.ai/gpu-instance/openapi/v1/network/create', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
```

```
&#x3C;?php$curl = curl_init();curl_setopt_array($curl, [ CURLOPT_URL => "https://api.novita.ai/gpu-instance/openapi/v1/network/create", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "POST", CURLOPT_POSTFIELDS => json_encode([ 'clusterId' => '&#x3C;string>', 'name' => '&#x3C;string>' ]), CURLOPT_HTTPHEADER => [ "Authorization: &#x3C;authorization>", "Content-Type: &#x3C;content-type>" ],]);$response = curl_exec($curl);$err = curl_error($curl);curl_close($curl);if ($err) { echo "cURL Error #:" . $err;} else { echo $response;}
```

```
package mainimport (	"fmt"	"strings"	"net/http"	"io")func main() {	url := "https://api.novita.ai/gpu-instance/openapi/v1/network/create"	payload := strings.NewReader("{\n \"clusterId\": \"&#x3C;string>\",\n \"name\": \"&#x3C;string>\"\n}")	req, _ := http.NewRequest("POST", url, payload)	req.Header.Add("Content-Type", "&#x3C;content-type>")	req.Header.Add("Authorization", "&#x3C;authorization>")	res, _ := http.DefaultClient.Do(req)	defer res.Body.Close()	body, _ := io.ReadAll(res.Body)	fmt.Println(string(body))}
```

```
HttpResponse&#x3C;String> response = Unirest.post("https://api.novita.ai/gpu-instance/openapi/v1/network/create") .header("Content-Type", "&#x3C;content-type>") .header("Authorization", "&#x3C;authorization>") .body("{\n \"clusterId\": \"&#x3C;string>\",\n \"name\": \"&#x3C;string>\"\n}") .asString();
```

```
require 'uri'require 'net/http'url = URI("https://api.novita.ai/gpu-instance/openapi/v1/network/create")http = Net::HTTP.new(url.host, url.port)http.use_ssl = truerequest = Net::HTTP::Post.new(url)request["Content-Type"] = '&#x3C;content-type>'request["Authorization"] = '&#x3C;authorization>'request.body = "{\n \"clusterId\": \"&#x3C;string>\",\n \"name\": \"&#x3C;string>\"\n}"response = http.request(request)puts response.read_body
```

200

```
{
"network": [
{
"Id": "&#x3C;string>",
"user": "&#x3C;string>",
"name": "&#x3C;string>",
"state": [
{
"state": "&#x3C;string>",
"error": "&#x3C;string>"
}
],
"segment": "&#x3C;string>",
"clusterId": "&#x3C;string>",
"Addresses": [
{
"Id": "&#x3C;string>",
"Ip": "&#x3C;string>"
}
],
"createTime": "&#x3C;string>"
}
]
}
```

##

[​](#request-headers)

Request Headers

[​](#param-content-type)

Content-Type

string

required

Enum: `application/json`

[​](#param-authorization)

Authorization

string

required

Bearer authentication format, for example: Bearer {{API Key}}.

##

[​](#request-body)

Request Body

[​](#param-cluster-id)

clusterId

string

required

Cluster ID. You can obtain this via the [List Clusters](/docs/api-reference/gpu-instance-list-clusters) API. String, length limit: 1-255 characters.

[​](#param-name)

name

string

Name of the VPC network. Customizable. String, length limit: 0-30 characters.

##

[​](#response)

Response

[​](#param-network)

network

object[]

required

VPC network information.

Hide properties

[​](#param-id)

Id

string

required

VPC network ID.

[​](#param-user)

user

string

required

User account ID.

[​](#param-name-1)

name

string

required

VPC network name.

[​](#param-state)

state

object[]

required

VPC network status.

Hide properties

[​](#param-state-1)

state

string

required

VPC network status. Possible values:

- creating: Being created.

- ready: Successfully created.

[​](#param-error)

error

string

Error message if VPC network creation fails or the network is unavailable.

[​](#param-segment)

segment

string

required

VPC network segment.

[​](#param-cluster-id-1)

clusterId

string

required

Cluster ID.

[​](#param-addresses)

Addresses

object[]

required

Instance information under the VPC network.

Hide properties

[​](#param-id-1)

Id

string

required

Instance ID.

[​](#param-ip)

Ip

string

required

Instance IP address.

[​](#param-create-time)

createTime

string

required

VPC network creation time.

Last modified on May 27, 2025
